NASD(1)

NAME
nasd - Network Audio System server

SYNOPSIS
nasd [:listen port offset] [-option ...]

DESCRIPTION
nasd is the generic name for the Network Audio System server. It is frequently a link or a copy of the appropriate server binary for driving the most frequently used server on a given machine.

STARTING THE SERVER
The server is usually started from /etc/rc or a user's startup script.

When the Network Audio System server starts up, it takes over /dev/audio. Note, that if ReleaseDevice is set to TRUE [default] in the nasd.conf file, nasd will relinquish control of the audio device whenever it has finished playing a sound. This means you can use other non-NAS applications when nasd is running, as long as nasd isn't currently playing a song. If ReleaseDevice is set to FALSE in the nasd.conf file, applications that attempt to access /dev/audio themselves will fail while nasd is running.

NETWORK CONNECTIONS
The Network Audio System server supports connections made using the following reliable byte-streams:

TCPIP
    The server listens on port 8000+n, where n is the listen port offset.

Unix Domain
    The X server uses /tmp/.sockets/audion as the filename for the socket, where n is the display number.

OPTIONS
All of the Network Audio System servers accept the following generic command line options. Options specific to a particular server may also be available, and are not listed here. Try 'nasd -?' for a list of those options, if available.

-aa Allows any client to connect. By default, access is allowed only to authenticated clients.

-local
    Allows only clients on the local host to connect. By default, access is allowed to local and remote hosts.

-v  Enable verbose messages. This option overrides the nasd.conf file setting.

-V  Print version information and exit (ignoring other options).

-b  Fork a child to run in the background and exit (daemon mode). Messages are sent to syslog instead of stderr.

-d n
    Enable debugging output at level n, where n is a positive integer. The higher the level, the more output you will get. A value of 0 [default] disables debugging output. This option overrides the nasd.conf file setting.

-pn

-nopn [default]
    Enables or disables Partial Networking. Enabling Partial Networking allows the server to start, even if the server cannot establish all of its well-known sockets (connection points for clients), but establishes at least one.

-config file
    Use the config file file, instead of the default (/etc/nasd/nasd.conf).

SIGNALS
The Network Audio System server attaches special meaning to the following signals:

SIGHUP
    This signal causes the server to close all existing connections, free all resources, and restore all defaults.

SIGTERM
    This signal causes the server to exit cleanly.

SIGUSR1
    This signal is used quite differently from either of the above. When the server starts, it checks to see if it has inherited SIGUSR1 as SIG_IGN instead of the usual SIG_DFL. In this case, the server sends a SIGUSR1 to its parent process after it has set up the various connection schemes.

DIAGNOSTICS
Too numerous to list them all.

FILES

/tmp/.sockets/audio*
    Unix domain socket

/usr/adm/audio*msgs

/dev/audio
    Audio device

SEE ALSO
nas(1), auinfo(1), auplay(1), auctl(1), nasd.conf(1)

BUGS

If au dies before its clients, new clients won't be able to connect until all existing connections have their TCP TIME_WAIT timers expire.

The current access control support is weak at best.

COPYRIGHT
Copyright 1993, Network Computing Devices, Inc.

AUTHORS
The Network Audio System server was originally written by Greg Renda and Dave Lemke, with large amounts of code borrowed from the sample X server.

The sample X server was originally written by Susan Angebranndt, Raymond Drewry, Philip Karlton, and Todd Newman, from Digital Equipment Corporation, with support from a large cast. It has since been extensively rewritten by Keith Packard and Bob Scheifler, from MIT.